Summary:   Tools for the Hughski Colorimeter
Name:      colorhug-client
Version:   0.2.1
Release:   1%{?dist}
License:   GPLv2+
URL:       http://www.hughski.com/
Source0:   http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz

BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: gtk3-devel
BuildRequires: intltool
BuildRequires: libgusb-devel >= 0.1.4
BuildRequires: colord-devel >= 0.1.31
BuildRequires: colord-gtk-devel >= 0.1.24
BuildRequires: libsoup-devel
BuildRequires: libtool
BuildRequires: docbook-utils
BuildRequires: libcanberra-devel >= 0.10
BuildRequires: gobject-introspection-devel
BuildRequires: gnome-doc-utils
BuildRequires: yelp-tools
BuildRequires: itstool

Requires: yelp

%description
The Hughski ColorHug colorimeter is a low cost open-source hardware
sensor used to calibrate screens.

This package includes the client tools which allows the user to upgrade
the firmware on the sensor or to access the sensor from command line
scripts.

%prep
%setup -q

%build
%configure --disable-static

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/libcolorhug*.la

%find_lang %{name}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%dir %{_datadir}/colorhug-client
%{_datadir}/colorhug-client
%{_libexecdir}/colorhug*
%{_bindir}/colorhug*
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*colorhug*.png
%{_datadir}/icons/hicolor/*/mimetypes/application-x-ccmx.*
%{_datadir}/icons/hicolor/scalable/apps/colorhug.svg
%{_mandir}/man1/*.1.gz
%{_sysconfdir}/bash_completion.d/*-completion.bash
%{_datadir}/help/*/colorhug-client

%changelog
* Mon Nov 11 2013 Richard Hughes <richard@hughsie.com> 0.2.1-1
- New upstream version
- Add an AppData file for colorhug-flash and colorhug-ccmx

* Wed May 01 2013 Richard Hughes <richard@hughsie.com> 0.2.0-1
- Add a command to get the spectral data from the CCD
- Add help buttons to colorhug-flash and colorhug-ccmx
- Add some yelp documentation for the ColorHug device
- Add the ability to get and set CCD calibration values
- Do not refresh the calibration data twice when setting a custom CCMX
- Remove the internal libcolorhug and depend on the system copy
- Set a title when generating a CCMX file

* Mon Feb 04 2013 Richard Hughes <richard@hughsie.com> 0.1.14-1
- New upstream version
- Lots of translation updates
- Add a 'ccmx-upload' command to colorhug-cmd
- Allow the user to easily generate a CCMX correction matrix
- Use libcolorhug from colord

* Mon Nov 06 2012 Richard Hughes <richard@hughsie.com> 0.1.13-1
- New upstream version
- Add defines for the ColorHug Spectro
- Allow the user to flash an Intel HEX file from the command line
- Don't return flashing success when the device failed to re-appear

* Mon Aug 20 2012 Richard Hughes <richard@hughsie.com> 0.1.12-1
- New upstream version
- Add colorhug-profile to compare the measurement modes
- Add subcommands to get and set the measurement mode
- Accept full HID packets from devices with firmware >= 1.2.0
- Fix a small memory leak when commands with helpers and callbacks fail

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 02 2012 Richard Hughes <richard@hughsie.com> 0.1.11-1
- New upstream version.
- Show the calibration types when doing 'list-calibration'
- Ask the user to cover the aperture before doing a dark cal
- Do not hardcode the type as 'all' when loading a CCMX
- Recognise the INVALID_CALIBRATION error enum
- Recognise the NO_WELCOME errata enum
- Do not spin if enter is pressed at [Y/n]
- Set the post-scale to unity for the dark offsets

* Mon Jun 11 2012 Richard Hughes <richard@hughsie.com> 0.1.10-1
- New upstream version.
- Add support for TYPE_FACTORY when loading CCMX files from disk
- Also reset the calibration map when resetting the factory calibration
- Do not offer to repair twice when using 'colorhug-ccmx --repair'
- Support LED types in colorhug-cmd get/set-calibration

* Wed May 23 2012 Richard Hughes <richard@hughsie.com> 0.1.9-2
- Allow people using the legacy VID/PID to use colorhug-ccmx.

* Tue May 22 2012 Richard Hughes <richard@hughsie.com> 0.1.9-1
- Add commands to get and set the remote profile hash on the device
- Add support for the new self-test command
- Allow the colorhug tool to download and upload icc profiles
- Fix up the documentation for the command line tool options
- Install the colorhug command line tool as /usr/bin/colorhug-cmd
- Remove colorhug-gui, it's no longer useful
- Use CdIt8 for ccmx parsing and bump the colord dep to 0.1.20

* Tue Apr 17 2012 Richard Hughes <richard@hughsie.com> 0.1.8-1
- New upstream version.
- Automatically use the correct proxy server using glib-networking
- Make a sound when colorhug-flash fails or completes the update.
- Prevent a possible crash when verifying firmware.
- Prevent critical warnings when doing 'colorhug list-calibration'

* Thu Mar 15 2012 Richard Hughes <richard@hughsie.com> 0.1.7-1
- New upstream version.
- Allow the user to update to test firmware if enabled in GSettings
- Create a trivial libcolorhug library for low level access
- Correctly detect the failure to re-enumerate

* Sun Mar 04 2012 Richard Hughes <richard@hughsie.com> 0.1.6-1
- New upstream version.

* Thu Jan 26 2012 Richard Hughes <richard@hughsie.com> 0.1.5-1
- New upstream version.

* Tue Jan 10 2012 Richard Hughes <richard@hughsie.com> 0.1.4-1
- New upstream version.
- A huge number of new translations and some bugfixes.

* Mon Dec 26 2011 Richard Hughes <richard@hughsie.com> 0.1.3-1
- New upstream version.

* Fri Dec 09 2011 Richard Hughes <richard@hughsie.com> 0.1.2-1
- New upstream version.

* Wed Nov 30 2011 Richard Hughes <richard@hughsie.com> 0.1.1-1
- New upstream version.

* Sat Nov 26 2011 Richard Hughes <richard@hughsie.com> 0.1.0-2
- BR the correct version of GTK.

* Fri Nov 11 2011 Richard Hughes <richard@hughsie.com> 0.1.0-1
- Initial version for Fedora package review
